Bug 238045 - httpd dies during upgrade: httpd: Syntax error on line 176 of /etc/httpd/conf/httpd.conf
httpd dies during upgrade: httpd: Syntax error on line 176 of /etc/httpd/conf...
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
: 238672 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-26 14:32 EDT by Charles R. Anderson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.4-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 04:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2007-04-26 14:32:17 EDT
Description of problem:
After automatic yum updates on two of my servers I noticed that httpd had died.  
It appears that this might be a yum/rpm ordering problem, or a trigger
somewhere, since I don't see anything in the pre/post scriptlets that would
cause this.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try manually.  This has happened on two of my production servers.

Steps to Reproduce:
1. service httpd start
2. yum update to httpd-2.2.4-1.fc6
3. notice that httpd dies
Actual results:

Apr 20 06:32:31 Updated: httpd.i386 2.2.4-1.fc6
Apr 20 06:32:34 Updated: httpd-manual.i386 2.2.4-1.fc6

[Fri Apr 20 04:59:50 2007] [notice] Digest: generating secret for digest
authentication ...
[Fri Apr 20 04:59:50 2007] [notice] Digest: done
[Fri Apr 20 04:59:50 2007] [notice] mod_python: Creating 4 session mutexes based
on 256 max processes and 0 max threads.[Fri Apr 20 04:59:50 2007] [notice]
Apache/2.2.3 (Fedora) configured -- resuming normal operations
[Sat Apr 21 04:59:48 2007] [notice] SIGHUP received.  Attempting to restart
httpd: Syntax error on line 176 of /etc/httpd/conf/httpd.conf: Cannot load
/etc/httpd/modules/mod_status.so into server: /etc/httpd/modules/mod_status.so:
undefined symbol: ap_get_server_description

Expected results:
Yum upgrade shouldn't kill services.

Additional info:
The syntax error in error_log isn't timestamped, but it is assumed that it
happens after the yum update.  The previous entries in the log are from logrotate.
Comment 1 Joe Orton 2007-04-27 02:32:21 EDT
Thanks for the report.  Sorry about this - it happens because the 2.2.4 DSOs
depend on symbols which are only available in the 2.2.4 httpd binary, and so
fail when the old 2.2.3 httpd is HUPed and tries to load them.

It should be possible to work around this.
Comment 2 eric 2007-04-29 08:47:19 EDT
this bug is related:

the yum update added .conf files in the conf.d dir.
probably the problem is this file: proxy_ajp.conf
Comment 3 Fedora Update System 2007-04-30 18:13:00 EDT
httpd-2.2.4-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Joe Orton 2007-05-02 04:23:18 EDT
*** Bug 238672 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.